<?php 

if(substr_count($_SERVER['HTTP_ACCEPT_ENCODING'],'gzip'))
	ob_start("ob_gzhandler");
else 
	ob_start();

include('config/minho.php');
include('config/autoloadClass.php');

$autoLoad  = new autoloadClass();
$formClass = new formClass();
$selType   = isset($_POST['select_type']) ? trim(strip_tags($_POST['select_type'])) : "";
$defaultval = isset($_POST['defaultval']) ? trim(strip_tags(htmlentities(addslashes($_POST['defaultval'])))) : "";

$action	=	isset($_POST['action'])	?	trim(strip_tags(htmlentities(addslashes($_POST['action']))))	:	"";
$mid	=	isset($_POST['mid'])	?	trim(strip_tags(htmlentities(addslashes($_POST['mid']))))		:	"";
$mtype	=	isset($_POST['mtype'])	?	trim(strip_tags(htmlentities(addslashes($_POST['mtype']))))		:	"";
$mmodel	=	isset($_POST['mmodel'])	?	str_replace("_"," ",trim(strip_tags(htmlentities(addslashes($_POST['mmodel'])))))	:	"";
$mproj	=	isset($_POST['mproj'])	?	str_replace("_"," ",trim(strip_tags(htmlentities(addslashes($_POST['mproj'])))))	:	"";
$mrdate	=	isset($_POST['mrdate'])	?	trim($_POST['mrdate'])	:	"";
$reserveArr	=	array();
$promoArr	=	array();
$priceArr	=	array();
$brokerArr	=	array();
$rPhase		=	"";
$rBlock		=	"";
$rLot 		= 	"";
$rBroker	=	$defaultval;
$rAgent		=	"";
$rProject	=	"";
$rModel		=	""; 
 

	$brokerSelect	=	array("field"=>"Broker","field_value"=>"Broker","table"=>"broker","condition_field"=>"","condition_value"=>"","select_name"=>"current_broker","select_id"=>"current_broker","select_class"=>"sel2broker","select_default"=>$rBroker,"action"=>$action,"placeholder"=>"- Select a Realty -");
	echo $formClass->selectBox($brokerSelect);
 